Visual LISP, AutoLISP and General Customization

Visual LISP, AutoLISP and General Customization

Reply
Valued Contributor
MetroVancouverDrafting
Posts: 66
Registered: ‎06-29-2010
Message 1 of 11 (1,133 Views)
Accepted Solution

Plot Transparency option in PLOT dialog box

1133 Views, 10 Replies
09-11-2012 03:07 PM

Hi,

 

Is anybody knows where else do they keep this setting?

I only have found it in Active Layout in extended dada

 

(entget (vlax-vla-object->ename(vla-get-activelayout (vla-get-activedocument(vlax-get-acad-object)))) '("*"))

 

The last pice of extended data is:

 ("PLOTTRANSPARENCY" (1071 . 0))

 

When i change it to 1

 

(setq layout(vla-get-activelayout (vla-get-activedocument(vlax-get-acad-object))))

(vla-getXdata layout "PLOTTRANSPARENCY" 'type 'data)

(vlax-safearray-fill data  '("PLOTTRANSPARENCY" 1))

(vla-setXdata layout  type data)

 

it stays there (extended data), but the setting in Plot dialog box doesn't change!!! And it still prints no transparency.

It takes to save the drawing and reopen it again to see the change.

 

Where else could it be??

 

The command -PLOT does not have this setting as well, so my options back to VBA or Lisp, but HOW??